none
.NET Framework 4.5 RRS feed

  • Pergunta

  • Boa tarde pessoa.

    Tenho instalado em minha máquina o Visual Studio 2008. Preciso usar a namespace "using System.Threading.Tasks", porém, no momento da compilação está dando esse erro:

    Error 3 The type or namespace name 'Tasks' does not exist in the namespace 'System.Threading' (are you missing an assembly reference?) C:\Transportes\Interface\Interface\BLL\ConsultaCnpjReceita.cs 10 24 Interface

    Pelo que li na internet preciso ter na minha máquina a versão 4.5 do .NET Framework instalada. Agora o ponto. Vou no Windows na guia Recursos e programas e o .NET Framework 4.5 está instalado, porém, quando entro nas propriedades do meu projeto, na guia Target Framework só aparecem as versões .NET Framework 2.0, .NET Framework 3.0, .NET Framework 3.5. O que eu preciso fazer para solucionar esse problema?

    Garibaldo 

    sábado, 24 de janeiro de 2015 17:27

Respostas

  • Renato, vê se você pode me ajudar. Apenas a alguns meses comecei a estudar o C#. Instalei em minha máquina o Visual Studio 2008. Nesse momento necessito de recursos que talvez possam vir no Visual Studio 2013, como é o caso do .NET.Framework 4.5. Eu simplesmente instalo o Visual Studio 2013 e continuo o Desenvolvimento do Sistema ou tem mais algum procedimento que deve ser feito.

    Outra coisa: Tudo que aprendi sobre C#, Visual Studio foi lendo livros. Não tive nenhum curso referente a essas ferramentas. Talvez seja por isso a minha dificuldade.

    Se você puder me ajudar, eu agradeceria.

    Garibaldo

    sábado, 24 de janeiro de 2015 18:43

Todas as Respostas

  • Garibaldo,

    O problema neste caso é que você está tentando usar uma versão mais recente do .NET Framework (4.5) a partir de um release mais antigo do Visual Studio (no caso o VS 2008). Neste caso, não há como vc contornar (ao menos até onde conheço). Nos links abaixo há uma discussão a respeito disso:

    http://stackoverflow.com/questions/1836410/can-i-develop-for-net-framework-4-in-visual-studio-2008

    http://weblogs.asp.net/scottgu/multi-targeting-support-vs-2010-and-net-4-series

    Pelo fato do VS 2008 suportar somente até o .NET Framework 3.5, vc não conseguiria utilizar versões mais recentes como o Visual Studio 2012 ou 2013?

    sábado, 24 de janeiro de 2015 18:13
  • Renato, vê se você pode me ajudar. Apenas a alguns meses comecei a estudar o C#. Instalei em minha máquina o Visual Studio 2008. Nesse momento necessito de recursos que talvez possam vir no Visual Studio 2013, como é o caso do .NET.Framework 4.5. Eu simplesmente instalo o Visual Studio 2013 e continuo o Desenvolvimento do Sistema ou tem mais algum procedimento que deve ser feito.

    Outra coisa: Tudo que aprendi sobre C#, Visual Studio foi lendo livros. Não tive nenhum curso referente a essas ferramentas. Talvez seja por isso a minha dificuldade.

    Se você puder me ajudar, eu agradeceria.

    Garibaldo

    sábado, 24 de janeiro de 2015 18:43
  • Vc pode sem problemas instalar outras versões do Visual Studio na mesma máquina. Com exceção do VS 2015 que ainda não é oficial (e se recomenda a sua instalação à parte), outras versões da IDE podem ser instladas sem maiores problemas.
    sábado, 24 de janeiro de 2015 19:10
  • Obrigado Renato

    sábado, 24 de janeiro de 2015 19:24
  • Boa tarde Renado,

    Estou com um problema. Instalei o VS 2010 na minha máquina. Agora quando eu passo o cursor sobre um form e dou um click, é criado um BackgroundWorker, como faço para resolver esse problema?

    domingo, 25 de janeiro de 2015 16:02
  • Muito estranho esse problema. Tente remover o Visual Studio e reinstalar o mesmo novamente. É o que eu faria em uma situação como essa.
    domingo, 25 de janeiro de 2015 16:31